Skip to main content
GET
/
api
/
v1
/
me
Get current user profile
curl --request GET \
  --url https://api.flowxi.app/api/v1/me \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flowxi.app/api/v1/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flowxi.app/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "ME_OK",
  "message": "OK",
  "data": {
    "id": 17,
    "email": "fandjinoujaf@gmail.com",
    "status": "active",
    "locale": "fr",
    "username": "fx00000017",
    "photo_url": "https://s3.us-west-004.backblazeb2.com/flowxi-storage-prod/profile_photos/....",
    "first_name": "Jafette",
    "last_name": "Fandjinou",
    "birth_date": "1999-01-01",
    "country": "BJ",
    "nationality": "BEN",
    "phone_number": "+22900000000",
    "twofa_enabled": false,
    "created_at": "2026-01-09T17:08:57.000000Z",
    "updated_at": "2026-01-09T17:39:23.000000Z"
  }
}
{
"code": "UNAUTHENTICATED",
"message": "Unauthenticated."
}
{
"code": "SERVER_ERROR",
"message": "Server error."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-App-Locale
string

Optional locale override (fallback is fr if missing/invalid).

Example:

"fr"

Response

OK

code
string
required
Example:

"OK"

message
string
required
Example:

"OK"

data
object
required